Package org.kie.internal.builder.conf

## Class EvaluatorOption

- java.lang.Object
- - org.kie.internal.builder.conf.EvaluatorOption

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.conf.Option`, `KnowledgeBuilderOption`, `MultiValueKnowledgeBuilderOption`

      public class EvaluatorOption
      extends Object
      implements MultiValueKnowledgeBuilderOption

  A class for the evaluators configuration. Drools supports custom evaluators. After implementing an evaluator use this option class to register it to the knowledge builder.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PROPERTY_NAME` | The prefix for the property name for evaluators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `static EvaluatorOption` | `get​(String key, org.kie.api.runtime.rule.EvaluatorDefinition evaluator)` | This is a factory method for this EvaluatorOption configuration.
    `org.kie.api.runtime.rule.EvaluatorDefinition` | `getEvaluatorDefinition()` | Returns the accumulate function instance
    `String` | `getName()` | Returns the name of the dialect configured as default
    `String` | `getPropertyName()`
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The prefix for the property name for evaluators
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static EvaluatorOption get​(String key,
                                            org.kie.api.runtime.rule.EvaluatorDefinition evaluator)

      This is a factory method for this EvaluatorOption configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `key` - the key of the evaluator to be configured
        `evaluator` - the evaluator definition
      Returns:
        the actual type safe default dialect configuration.

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### getName

          public String getName()

      Returns the name of the dialect configured as default
      Returns:

    - #### getEvaluatorDefinition

          public org.kie.api.runtime.rule.EvaluatorDefinition getEvaluatorDefinition()

      Returns the accumulate function instance
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`